org.modeshape.sequencer.classfile

## Class ClassFileSequencerLexicon

- java.lang.Object
- - org.modeshape.sequencer.classfile.ClassFileSequencerLexicon

-     public class ClassFileSequencerLexicon
      extends Object

  The namespace and property names used within a `ClassFileSequencer` to store internal information.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClassFileSequencerLexicon.AnnotationType` The types of annotations.
    `static class` | `ClassFileSequencerLexicon.CommentType` The types of comments.
    `static class` | `ClassFileSequencerLexicon.Namespace`
    `static class` | `ClassFileSequencerLexicon.WildcardTypeBound` The kind of wildcard type bounds.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ABSTRACT`
    `static String` | `ANNOTATION`
    `static String` | `ANNOTATION_MEMBER`
    `static String` | `ANNOTATION_TYPE`
    `static String` | `ANNOTATION_TYPE_MEMBER`
    `static String` | `ANNOTATION_TYPE_MEMBERS`
    `static String` | `ANNOTATIONS`
    `static String` | `ARGUMENT`
    `static String` | `ARGUMENTS`
    `static String` | `ARRAY_TYPE`
    `static String` | `BASE_TYPE`
    `static String` | `BODY`
    `static String` | `BOUND`
    `static String` | `BOUND_TYPE`
    `static String` | `BOUNDS`
    `static String` | `CLASS`
    `static String` | `COMMENT`
    `static String` | `COMMENT_TYPE`
    `static String` | `COMMENTS`
    `static String` | `COMPILATION_UNIT`
    `static String` | `COMPONENT_TYPE`
    `static String` | `CONSTRUCTORS`
    `static String` | `CONTENT`
    `static String` | `DEFAULT`
    `static String` | `DIMENSIONS`
    `static String` | `DOCUMENTED`
    `static String` | `ENUM`
    `static String` | `ENUM_CONSTANT`
    `static String` | `ENUM_CONSTANTS`
    `static String` | `ENUM_VALUES`
    `static String` | `EXPRESSION`
    `static String` | `EXTENDS`
    `static String` | `FIELD`
    `static String` | `FIELDS`
    `static String` | `FINAL`
    `static String` | `IMPLEMENTS`
    `static String` | `IMPORT`
    `static String` | `IMPORTS`
    `static String` | `INITIALIZER`
    `static String` | `INTERFACE`
    `static String` | `INTERFACES`
    `static String` | `JAVADOC`
    `static String` | `LENGTH`
    `static String` | `MESSAGE`
    `static String` | `MESSAGES`
    `static String` | `METHOD`
    `static String` | `METHOD_PARAMETERS`
    `static String` | `METHODS`
    `static String` | `NAME`
    `static String` | `NATIVE`
    `static String` | `NESTED_TYPES`
    `static String` | `ON_DEMAND`
    `static String` | `PACKAGE`
    `static String` | `PARAMETER`
    `static String` | `PARAMETERIZED_TYPE`
    `static String` | `PARAMETERS`
    `static String` | `PRIMITIVE_TYPE`
    `static String` | `QUALIFIED_TYPE`
    `static String` | `QUALIFIER`
    `static String` | `RETURN_TYPE`
    `static String` | `RETURN_TYPE_CLASS_NAME`
    `static String` | `SEQUENCED_DATE`
    `static String` | `SIMPLE_TYPE`
    `static String` | `SOURCE_LOCATION`
    `static String` | `START_POSITION`
    `static String` | `STATEMENT`
    `static String` | `STATEMENTS`
    `static String` | `STATIC`
    `static String` | `STRICT_FP`
    `static String` | `SUPER_CLASS_NAME`
    `static String` | `SYNCHRONIZED`
    `static String` | `THROWN_EXCEPTIONS`
    `static String` | `TRANSIENT`
    `static String` | `TYPE`
    `static String` | `TYPE_CLASS_NAME`
    `static String` | `TYPE_PARAMETER`
    `static String` | `TYPE_PARAMETERS`
    `static String` | `TYPES`
    `static String` | `VALUE`
    `static String` | `VARARGS`
    `static String` | `VISIBILITY`
    `static String` | `VOLATILE`
    `static String` | `WILDCARD_TYPE`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ABSTRACT

          public static final String ABSTRACT

      See Also:
        Constant Field Values

    - #### ANNOTATION

          public static final String ANNOTATION

      See Also:
        Constant Field Values

    - #### ANNOTATIONS

          public static final String ANNOTATIONS

      See Also:
        Constant Field Values

    - #### METHOD_PARAMETERS

          public static final String METHOD_PARAMETERS

      See Also:
        Constant Field Values

    - #### ANNOTATION_MEMBER

          public static final String ANNOTATION_MEMBER

      See Also:
        Constant Field Values

    - #### CLASS

          public static final String CLASS

      See Also:
        Constant Field Values

    - #### CONSTRUCTORS

          public static final String CONSTRUCTORS

      See Also:
        Constant Field Values

    - #### ENUM_VALUES

          public static final String ENUM_VALUES

      See Also:
        Constant Field Values

    - #### ENUM

          public static final String ENUM

      See Also:
        Constant Field Values

    - #### FIELD

          public static final String FIELD

      See Also:
        Constant Field Values

    - #### FIELDS

          public static final String FIELDS

      See Also:
        Constant Field Values

    - #### FINAL

          public static final String FINAL

      See Also:
        Constant Field Values

    - #### IMPORTS

          public static final String IMPORTS

      See Also:
        Constant Field Values

    - #### INTERFACE

          public static final String INTERFACE

      See Also:
        Constant Field Values

    - #### INTERFACES

          public static final String INTERFACES

      See Also:
        Constant Field Values

    - #### METHOD

          public static final String METHOD

      See Also:
        Constant Field Values

    - #### METHODS

          public static final String METHODS

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### NATIVE

          public static final String NATIVE

      See Also:
        Constant Field Values

    - #### PACKAGE

          public static final String PACKAGE

      See Also:
        Constant Field Values

    - #### PARAMETERS

          public static final String PARAMETERS

      See Also:
        Constant Field Values

    - #### PARAMETER

          public static final String PARAMETER

      See Also:
        Constant Field Values

    - #### RETURN_TYPE_CLASS_NAME

          public static final String RETURN_TYPE_CLASS_NAME

      See Also:
        Constant Field Values

    - #### SEQUENCED_DATE

          public static final String SEQUENCED_DATE

      See Also:
        Constant Field Values

    - #### STATIC

          public static final String STATIC

      See Also:
        Constant Field Values

    - #### STRICT_FP

          public static final String STRICT_FP

      See Also:
        Constant Field Values

    - #### SUPER_CLASS_NAME

          public static final String SUPER_CLASS_NAME

      See Also:
        Constant Field Values

    - #### SYNCHRONIZED

          public static final String SYNCHRONIZED

      See Also:
        Constant Field Values

    - #### TRANSIENT

          public static final String TRANSIENT

      See Also:
        Constant Field Values

    - #### TYPE_CLASS_NAME

          public static final String TYPE_CLASS_NAME

      See Also:
        Constant Field Values

    - #### VALUE

          public static final String VALUE

      See Also:
        Constant Field Values

    - #### VISIBILITY

          public static final String VISIBILITY

      See Also:
        Constant Field Values

    - #### VOLATILE

          public static final String VOLATILE

      See Also:
        Constant Field Values

    - #### ANNOTATION_TYPE

          public static final String ANNOTATION_TYPE

      See Also:
        Constant Field Values

    - #### ANNOTATION_TYPE_MEMBER

          public static final String ANNOTATION_TYPE_MEMBER

      See Also:
        Constant Field Values

    - #### ANNOTATION_TYPE_MEMBERS

          public static final String ANNOTATION_TYPE_MEMBERS

      See Also:
        Constant Field Values

    - #### ARGUMENT

          public static final String ARGUMENT

      See Also:
        Constant Field Values

    - #### ARGUMENTS

          public static final String ARGUMENTS

      See Also:
        Constant Field Values

    - #### ARRAY_TYPE

          public static final String ARRAY_TYPE

      See Also:
        Constant Field Values

    - #### BASE_TYPE

          public static final String BASE_TYPE

      See Also:
        Constant Field Values

    - #### BODY

          public static final String BODY

      See Also:
        Constant Field Values

    - #### BOUND

          public static final String BOUND

      See Also:
        Constant Field Values

    - #### BOUNDS

          public static final String BOUNDS

      See Also:
        Constant Field Values

    - #### BOUND_TYPE

          public static final String BOUND_TYPE

      See Also:
        Constant Field Values

    - #### COMMENT

          public static final String COMMENT

      See Also:
        Constant Field Values

    - #### COMMENTS

          public static final String COMMENTS

      See Also:
        Constant Field Values

    - #### COMMENT_TYPE

          public static final String COMMENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPILATION_UNIT

          public static final String COMPILATION_UNIT

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### CONTENT

          public static final String CONTENT

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final String DEFAULT

      See Also:
        Constant Field Values

    - #### DIMENSIONS

          public static final String DIMENSIONS

      See Also:
        Constant Field Values

    - #### DOCUMENTED

          public static final String DOCUMENTED

      See Also:
        Constant Field Values

    - #### ENUM_CONSTANT

          public static final String ENUM_CONSTANT

      See Also:
        Constant Field Values

    - #### ENUM_CONSTANTS

          public static final String ENUM_CONSTANTS

      See Also:
        Constant Field Values

    - #### EXPRESSION

          public static final String EXPRESSION

      See Also:
        Constant Field Values

    - #### EXTENDS

          public static final String EXTENDS

      See Also:
        Constant Field Values

    - #### IMPLEMENTS

          public static final String IMPLEMENTS

      See Also:
        Constant Field Values

    - #### IMPORT

          public static final String IMPORT

      See Also:
        Constant Field Values

    - #### INITIALIZER

          public static final String INITIALIZER

      See Also:
        Constant Field Values

    - #### JAVADOC

          public static final String JAVADOC

      See Also:
        Constant Field Values

    - #### LENGTH

          public static final String LENGTH

      See Also:
        Constant Field Values

    - #### MESSAGE

          public static final String MESSAGE

      See Also:
        Constant Field Values

    - #### MESSAGES

          public static final String MESSAGES

      See Also:
        Constant Field Values

    - #### NESTED_TYPES

          public static final String NESTED_TYPES

      See Also:
        Constant Field Values

    - #### ON_DEMAND

          public static final String ON_DEMAND

      See Also:
        Constant Field Values

    - #### PARAMETERIZED_TYPE

          public static final String PARAMETERIZED_TYPE

      See Also:
        Constant Field Values

    - #### PRIMITIVE_TYPE

          public static final String PRIMITIVE_TYPE

      See Also:
        Constant Field Values

    - #### QUALIFIED_TYPE

          public static final String QUALIFIED_TYPE

      See Also:
        Constant Field Values

    - #### QUALIFIER

          public static final String QUALIFIER

      See Also:
        Constant Field Values

    - #### RETURN_TYPE

          public static final String RETURN_TYPE

      See Also:
        Constant Field Values

    - #### SIMPLE_TYPE

          public static final String SIMPLE_TYPE

      See Also:
        Constant Field Values

    - #### SOURCE_LOCATION

          public static final String SOURCE_LOCATION

      See Also:
        Constant Field Values

    - #### START_POSITION

          public static final String START_POSITION

      See Also:
        Constant Field Values

    - #### STATEMENT

          public static final String STATEMENT

      See Also:
        Constant Field Values

    - #### STATEMENTS

          public static final String STATEMENTS

      See Also:
        Constant Field Values

    - #### THROWN_EXCEPTIONS

          public static final String THROWN_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### TYPES

          public static final String TYPES

      See Also:
        Constant Field Values

    - #### TYPE_PARAMETER

          public static final String TYPE_PARAMETER

      See Also:
        Constant Field Values

    - #### TYPE_PARAMETERS

          public static final String TYPE_PARAMETERS

      See Also:
        Constant Field Values

    - #### WILDCARD_TYPE

          public static final String WILDCARD_TYPE

      See Also:
        Constant Field Values

    - #### VARARGS

          public static final String VARARGS

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.